For the complete documentation index, see llms.txt. This page is also available as Markdown.

Retrieve Version

Returns the Version by ID.

get
/versions/{versionId}
Authorizations
AuthorizationstringRequired

The token can be generated using the Authentication API.

Path parameters
versionIdstring · uuidRequired

The ID (UUID) of the Version.

Example: 6b901215-a751-5580-a190-a17cc5e0d292
Responses
200

Getting Version was successful.

application/json
idstring · uuidRequired

The ID (UUID) of the Version.

Example: 6b901215-a751-5580-a190-a17cc5e0d292
typestring · enumRequired

The type of the resource.

Possible values:
hrefstringRequired

The URL of the Version.

Example: /versions/6b901215-a751-5580-a190-a17cc5e0d292
metadataobject · NoMetadataRead-onlyRequired
get/versions/{versionId}
GET /v2/versions/{versionId} HTTP/1.1
Host: in-memory-db.de-fra.ionos.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "id": "6b901215-a751-5580-a190-a17cc5e0d292",
  "type": "version",
  "href": "/versions/6b901215-a751-5580-a190-a17cc5e0d292",
  "metadata": {},
  "properties": {
    "version": "9.0",
    "status": "RECOMMENDED",
    "comment": "Recommended for production workloads.",
    "canUpgradeTo": [
      "9.0"
    ]
  }
}

Last updated

Was this helpful?